# pqxx::basic_fieldstream< CHAR, TRAITS > Class Template Reference

Input stream that gets its data from a result field. More...

`#include <result.hxx>`

Inheritance diagram for pqxx::basic_fieldstream< CHAR, TRAITS >:

[legend]

List of all members.

## Public Types
typedef CHAR | char_type
typedef TRAITS | traits_type
typedef traits_type::int_type | int_type
typedef traits_type::pos_type | pos_type
typedef traits_type::off_type | off_type
## Public Member Functions
| basic_fieldstream (const result::field &F)

## Detailed Description

### template<typename CHAR = char, typename TRAITS = std ::char_traits<CHAR>>
class pqxx::basic_fieldstream< CHAR, TRAITS >

Input stream that gets its data from a result field.

Use this class exactly as you would any other istream to read data from a field. All formatting and streaming operations of `std::istream` are supported. What you'll typically want to use, however, is the fieldstream typedef (which defines a basic_fieldstream for `char`). This is similar to how e.g. `std::ifstream` relates to `std::basic_ifstream`.

This class has only been tested for the char type (and its default traits).

## Member Typedef Documentation

template<typename CHAR = char, typename TRAITS = std ::char_traits<CHAR>>

typedef CHAR pqxx::basic_fieldstream< CHAR, TRAITS >::char_type

template<typename CHAR = char, typename TRAITS = std ::char_traits<CHAR>>

typedef traits_type::int_type pqxx::basic_fieldstream< CHAR, TRAITS >::int_type

template<typename CHAR = char, typename TRAITS = std ::char_traits<CHAR>>

typedef traits_type::off_type pqxx::basic_fieldstream< CHAR, TRAITS >::off_type

template<typename CHAR = char, typename TRAITS = std ::char_traits<CHAR>>

typedef traits_type::pos_type pqxx::basic_fieldstream< CHAR, TRAITS >::pos_type

template<typename CHAR = char, typename TRAITS = std ::char_traits<CHAR>>

typedef TRAITS pqxx::basic_fieldstream< CHAR, TRAITS >::traits_type

## Constructor & Destructor Documentation

template<typename CHAR = char, typename TRAITS = std ::char_traits<CHAR>>

pqxx::basic_fieldstream< CHAR, TRAITS >::basic_fieldstream | ( | const result::field & | F | ) |

The documentation for this class was generated from the following file:

- result.hxx